package org.netkernel.layer0.urii;

import java.io.UnsupportedEncodingException;
import java.net.URLDecoder;
import java.net.URLEncoder;

import org.netkernel.layer0.bnf.IPartEncoding;

public class URLQueryEncoding implements IPartEncoding
{
	public static final URLQueryEncoding INSTANCE=new URLQueryEncoding();
	
	public String decode(String aInput)
	{	try
		{	return URLDecoder.decode(aInput, "UTF-8");
		}
		catch (UnsupportedEncodingException e)
		{	return aInput;
		}
	}
	
	public String encode(String aInput)
	{	try
		{	return URLEncoder.encode(aInput, "UTF-8");
		}
		catch (UnsupportedEncodingException e)
		{	return aInput;
		}
	}
}
