package org.netkernel.layer0.meta.impl;

import org.netkernel.layer0.meta.ISpaceElements;
import org.netkernel.urii.IEndpoint;
import org.netkernel.urii.IIdentifier;
import org.netkernel.urii.ISpace;


public class SimpleSpaceElementsImpl implements ISpaceElements
{
	private final IIdentifier mIdentifier;
	private final IEndpoint mEndpoint;
	
	public SimpleSpaceElementsImpl(IIdentifier aIdentifier, IEndpoint aEndpoint)
	{	mIdentifier=aIdentifier;
		mEndpoint=aEndpoint;
	}
	
	public ISpace getDelegatedSpace(int aIndex)
	{	return null;
	}

	public IIdentifier getIdentifier(int aIndex)
	{	return mIdentifier;
	}

	public boolean isDelegated(int aIndex)
	{	return false;
	}

	public IEndpoint getPhysicalEndpoint(int aIndex)
	{	return mEndpoint;
	}
	
	public int size()
	{	return 1;
	}
}