package org.netkernel.layer0.meta.impl;

import org.netkernel.layer0.meta.IEndpointArgumentMeta;

public class SubstringArgumentMetaImpl extends LightMetaRepresentationImpl implements IEndpointArgumentMeta
{
	private final String mSubstringType;
	
	public SubstringArgumentMetaImpl(String aName, String aDescription, String aSubstringType)
	{	super(aName,aDescription);
		mSubstringType=aSubstringType;
	}

	public String getDefaultValue()
	{	return null;
	}

	public Class[] getRequiredRepresentations()
	{	return null;
	}

	public ArgumentType getArgumentType()
	{	return ArgumentType.STRING;
	}

	public String getSubstringType()
	{	return mSubstringType;
	}
	
	public boolean isIdentifier()
	{	return false;
	}

	
	
}
