package org.netkernel.layer0.util;

import org.netkernel.layer0.nkf.INKFExpiryFunction;

public class GoldenThreadExpiryFunction implements INKFExpiryFunction
{
	private boolean mExpired = false;
	private String mDebug;

	public GoldenThreadExpiryFunction(String aDebug)
	{	mDebug = aDebug;
	}

	public void invalidate()
	{	mExpired = true;
	}

	public boolean isExpired(long aNow)
	{	return mExpired;
	}

	public String toString()
	{	return mDebug;
	}
}